#
# spec file for package canutils
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           canutils
Summary:        Utilities for Controller Area Networks
License:        GPL-2.0
Group:          Hardware/Other
Version:        4.0.6
Release:        9.3
Url:            http://pengutronix.de/software/socket-can/download/

#Git-Clone:	git://git.pengutronix.de/git/tools/canutils
Source:         http://pengutronix.de/software/socket-can/download/canutils/v4.0/%name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkg-config
BuildRequires:  xz
%if 0%{?suse_version} >= 1140 || 0%{?fedora_version}                           
BuildRequires:  pkgconfig(libsocketcan) >= 0.0.8
%else                                                                          
BuildRequires:  libsocketcan-devel >= 0.0.8
%endif                                                                         

%description
Utilities for Controller Area Networks.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags};

%install
%make_install
# There are no development files here..
rm -Rf "%buildroot/%_libdir/pkgconfig";

%files
%defattr(-,root,root)
%_bindir/can*
%_sbindir/canconfig
%_mandir/man8/can*.8*
%doc COPYING

%changelog
* Mon Mar 16 2015 jengelh@inai.de
- Use source URLs, some more macros and some unneeded BuildRequires.
* Thu Aug  8 2013 jengelh@inai.de
- Correct URL field
* Sun Dec 30 2012 jengelh@inai.de
- Initial package (version 4.0.6) for build.opensuse.org
